> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 实时社交媒体 Reddit 任务

> Social Media Reddit API 提供目标网页在 Reddit 上每次分享的相关信息。



## OpenAPI

````yaml openapi/zh/dataforseo.json POST /dataforseo/business_data/social_media/reddit/live
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/business_data/social_media/reddit/live:
    post:
      summary: 实时社交媒体 Reddit 任务
      description: >-
        社交媒体 Reddit API 提供目标网页每次在 Reddit 上分享的信息。对于每个指定的 Reddit URL，您将获得
        subreddit 和作者名称、永久链接、标题以及 subreddit 成员数量。
      operationId: post_dataforseo_business_data_social_media_reddit_live
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                targets:
                  type: array
                  items:
                    type: string
                  description: >-
                    *目标 URL* **必填字段** 目标页面应使用其绝对 URL（包括 http:// 或
                    https://）指定，示例：`https://dataforseo.com/` **注意：**最多可以指定 10
                    个目标。您需要为此数组中指定的每个搜索 URL 付费
                tag:
                  type: string
                  description: >-
                    *用户定义的任务标识符*，可选字段，*字符数上限为 255*。你可以使用此参数标识任务并将其与结果匹配；你可以在响应的
                    `data` 对象中找到指定的 `tag` 值
              required:
                - targets
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: '*API 的当前版本*'
                  version.status_code:
                    type: integer
                    description: >-
                      *常规状态代码*
                      您可以在[此处](https://docs.dataforseo.com/v3/appendix/errors.md)查看完整的响应代码列表。**注意：**我们强烈建议设计必要的系统来处理相关异常或错误情况
                  version.status_message:
                    type: string
                    description: >-
                      *一般信息消息*
                      你可以在[此处](https://docs.dataforseo.com/v3/appendix/errors.md)查看一般信息消息的完整列表
                  version.time:
                    type: string
                    description: '*执行时间（秒）*'
                  version.cost:
                    type: number
                    description: '*任务总成本（美元）*'
                  version.tasks_count:
                    type: integer
                    description: '***`tasks`**数组中的任务数量*'
                  version.tasks_error:
                    type: integer
                    description: '*返回的 **`tasks`** 数组中发生错误的任务数量*'
                  tasks:
                    type: array
                    items:
                      type: string
                    description: '*任务数组*'
                  tasks.id:
                    type: string
                    description: >-
                      我们系统中的*唯一任务标识符*，采用[通用唯一标识符
                      (UUID)](https://en.wikipedia.org/wiki/Universally_unique_identifier)
                      格式
                  tasks.status_code:
                    type: integer
                    description: DataForSEO 生成的*任务状态码*；取值范围为：10000-60000
                  tasks.status_message:
                    type: string
                    description: '*任务信息消息*'
                  tasks.time:
                    type: string
                    description: '*执行时间（秒）*'
                  tasks.cost:
                    type: number
                    description: '*任务成本（美元）*'
                  tasks.result_count:
                    type: integer
                    description: '*`result` 数组中的元素数量*'
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: '*URL 路径*'
                  tasks.data:
                    type: object
                    description: '*包含与您在 POST 请求中指定的参数相同的参数*'
                  result:
                    type: array
                    items:
                      type: string
                    description: '*结果数组*'
                  result.type:
                    type: string
                    description: '*元素类型 = **‘social\_media\_reddit\_item’***'
                  result.page_url:
                    type: string
                    description: '*数据所对应页面的 URL*，即设置任务时在 `targets` 数组中指定的相应 URL'
                  result.reddit reviews:
                    type: array
                    items:
                      type: string
                    description: '*页面 page\_url 的 Reddit 评论*'
                  result.subreddit:
                    type: string
                    description: '*subreddit 的名称*'
                  result.author_name:
                    type: string
                    description: '*作者昵称*；在 subreddit 中发布帖子并分享该 URL 的用户昵称'
                  result.title:
                    type: string
                    description: '*subreddit 帖子的标题*'
                  result.permalink:
                    type: string
                    description: '*subreddit 帖子的 URL*'
                  result.subreddit_members:
                    type: integer
                    description: '*subreddit 成员数量*'
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````